Subject: bug#31745: 回复：Re: 回复： bug#31745: Frame's bug whenwindow-system

From: Robert Pluim <[email-masked]>
Date: Fri, 08 Jun 2018 10:35:20 +0200

"刘力铭" <[email-masked]> writes:

> I am not using XWayland. Is scaling about font size? But if i
> comment the line `(add-to-list 'default-frame-alist '(font . "Sarasa
> Mono CL 12"))`, it also occurs.

The scaling I mean is the type where you have a HiDpi screen (eg 4K),
and tell your window manager to pretend that each pixel is actually
twice the size. Itʼs usually configured either in your display
settings or in gnome-tweak-tool or similar. I donʼt know offhand how
itʼs done in Mate. It can cause problems when Emacs doesnʼt apply the
scaling factor correctly.

Itʼs possible this is related to recent versions of Gnome (my system
where it doesnʼt reproduce is still on 3.18)

Robert